.card {
    width: 800px;
    height: 500px;
    margin: 0 auto;
    display: grid;
    grid-template-columns: auto 1fr;
    grid-column-gap: 10px;
    margin: 0 auto;

    &__image {
        display: grid;
        place-items: center;
        padding: 0 20px;
        background-color: #212121;
        border-radius: 10px;
        transition: background-color 0.3s ease-out;

        img {
            width: 100%;
            height: auto;
            border-radius: 10px;
        }
    }

    &__details {
        display: grid;
        grid-auto-rows: auto;
        grid-row-gap: 10px;
    }

    &__details-row {
        display: grid;
        grid-row-gap: 20px;
        align-items: center;
        padding: 20px;
        background-color: #212121;
        border-radius: 10px;
        transition: background-color 0.3s ease-out;

        &.col-1 {
            grid-template-columns: repeat(1, auto);
        }

        &.col-2 {
            grid-template-columns: repeat(2, auto);
        }

        &.row-2 {
            grid-template-rows: 100px auto;

            > div {
                &:nth-child(1) {
                    align-self: start;
                }

                &:nth-child(2) {
                    align-self: end;
                }
            }
        }

        > div {
            display: flex;
            flex-direction: column;

            &.manacost {
                margin-left: auto;
            }

            p {
                &:nth-child(1) {
                    font-size: 18px;
                    font-weight: bold;
                    color: #fff;
                }

                &:nth-child(2) {
                    font-size: 15px;
                    color: #888;
                }

                &.description {
                    font-size: 15px;
                }
            }
        }
    }

    .fadeup {
        opacity: 0;
        transform: translateY(50px);
    }

    @media (max-width: 830px) {
        width: 100%;
    }
}

.dark {
    .card {
        &__details-row {
            background-color: #fff;
            > div {
                p {
                    &:nth-child(1) {
                        color: #171719;
                    }
                }
            }
        }

        &__image {
            background-color: #fff;
        }
    }
}
